package com.yuandian.dataflow.projo;

 

import static com.mongodb.MongoClientSettings.getDefaultCodecRegistry;
import static org.bson.codecs.configuration.CodecRegistries.fromProviders;
import static org.bson.codecs.configuration.CodecRegistries.fromRegistries;

import org.bson.BsonDocument;
import org.bson.BsonInt64;
import org.bson.codecs.configuration.CodecProvider;
import org.bson.codecs.configuration.CodecRegistry;
import org.bson.codecs.pojo.PojoCodecProvider;
import org.bson.codecs.pojo.annotations.BsonProperty;

import com.mongodb.client.MongoClient;
import com.mongodb.client.MongoClients;
import com.mongodb.client.MongoCollection;
import com.mongodb.client.MongoDatabase;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

 
@Slf4j
@Setter
@Getter
@ToString
public final class Doc    {

    @BsonProperty("retryPackets")
    public int retryPackets ; 

    @BsonProperty("serverResponseTime")
	public int serverResponseTime ;  

    @BsonProperty("requestBytes")
	public int requestBytes ;  

    @BsonProperty("businessName")
	public String businessName ;  

    @BsonProperty("responseIp")
	public int responseIp ;  
 
    public static void main(String[] args) {
        MongoClient mgo = MongoClients.create("mongodb://yuandian:yuandian123@192.168.1.113:27017");
        CodecProvider pojoCodecProvider = PojoCodecProvider.builder().register("com.yuandian.dataflow.projo").build();
        CodecRegistry pojoCodecRegistry = fromRegistries(getDefaultCodecRegistry(),fromProviders(pojoCodecProvider));
        
        MongoDatabase oriDatabase = mgo.getDatabase("ori-database").withCodecRegistry(pojoCodecRegistry);
        MongoCollection<Doc> db = oriDatabase.getCollection("network_performace_flow_2022072400", Doc.class);

        log.debug("{}", db.find(new BsonDocument("serverResponseTime", new BsonDocument("$gt", new BsonInt64(45601335571100803L)))));
    }
 
}
